# TestingBasePlugin

abstract class TestingBasePlugin : Plugin<T>

Base plugin for testing. - Adds default locations for test reporting

#### Since

4.4

## Constructors

TestingBasePlugin
Link copied to clipboard
constructor()

## Properties

TEST_RESULTS_DIR_NAME
Link copied to clipboard
val TEST_RESULTS_DIR_NAME: String = "test-results"
TESTS_DIR_NAME
Link copied to clipboard
val TESTS_DIR_NAME: String = "tests"

## Functions

apply
Link copied to clipboard
open fun apply(project: Project)